%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  gamsel
%global packver   1.8-3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.8.3
Release:          1%{?dist}%{?buildtag}
Summary:          Fit Regularization Path for Generalized Additive Models

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.6
Requires:         R-core >= 3.6
BuildRequires:    R-CRAN-foreach 
BuildRequires:    R-CRAN-mda 
BuildRequires:    R-splines 
Requires:         R-CRAN-foreach 
Requires:         R-CRAN-mda 
Requires:         R-splines 

%description
Using overlap grouped-lasso penalties, 'gamsel' selects whether a term in
a 'gam' is nonzero, linear, or a non-linear spline (up to a specified max
df per variable). It fits the entire regularization path on a grid of
values for the overall penalty lambda, both for gaussian and binomial
families. See <doi:10.48550/arXiv.1506.03850> for more details.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
